<?php
// START APPOINTMENT SECTION 
$wp_customize->add_section(
	'lz_fitness_appointment_section',
	array(
		'title'         => __( 'Contact Us Section', 'lz-fitness-premium' ), 
		'panel'   => 'lz_fitness_premium_home_panel',
	)
);
    //ENABLE/DISABLE Appointment SECTION
$wp_customize->add_setting(
	'lz_fitness_appointment_section_disable',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default' => 'off'
	)
);

$wp_customize->add_control(
	new lz_fitness_Switch_Control(
		$wp_customize,
		'lz_fitness_appointment_section_disable',
		array(
			'settings'      => 'lz_fitness_appointment_section_disable',
			'section'       => 'lz_fitness_appointment_section',
			'label'         => __( 'Disable Section', 'lz-fitness-premium' ),
			'on_off_label'  => array(
				'on' => __( 'Yes', 'lz-fitness-premium' ),
				'off' => __( 'No', 'lz-fitness-premium' )
			)   
		)
	)
);

//backgroundManager($wp_customize, 'appointment', 'lz_fitness_appointment_section', $color='#fff');
backgroundManager($wp_customize, 'appointment', 'lz_fitness_appointment_section', $color='#69489d');

$wp_customize->add_setting(
	'lz_fitness_appointment_title_subtitle_heading',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
	)
);
$wp_customize->add_control(
	new lz_fitness_Customize_Heading(
		$wp_customize,
		'lz_fitness_appointment_title_subtitle_heading',
		array(
			'settings'      => 'lz_fitness_appointment_title_subtitle_heading',
			'section'       => 'lz_fitness_appointment_section',
			'label'         => __( 'Section Title & Text', 'lz-fitness-premium' ),
		)
	)
);
$wp_customize->add_setting(
	'lz_fitness_appointment_title',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( 'Contact <span>Us</span>', 'lz-fitness-premium' )
	)
);
$wp_customize->add_control(
	'lz_fitness_appointment_title',
	array(
		'settings'      => 'lz_fitness_appointment_title',
		'section'       => 'lz_fitness_appointment_section',
		'type'          => 'text',
		'label'         => __( 'section Title', 'lz-fitness-premium' )
	)
);
$wp_customize->add_setting(
	'lz_fitness_appointment_sub_title',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( 'Feel free to send us any questions you may have. We are happy to answer them.' )
	)
);
$wp_customize->add_control(
	'lz_fitness_appointment_sub_title',
	array(
		'settings'      => 'lz_fitness_appointment_sub_title',
		'section'       => 'lz_fitness_appointment_section',
		'type'          => 'textarea',
		'label'         => __( 'Text', 'lz-fitness-premium' )
	)
);


$wp_customize->add_setting(
	'lz_fitness_appointment_form_lbl',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
	)
);

$wp_customize->add_control(
	new lz_fitness_Customize_Heading(
		$wp_customize,
		'lz_fitness_appointment_form_lbl',
		array(
			'settings'      => 'lz_fitness_appointment_form_lbl',
			'section'       => 'lz_fitness_appointment_section',
			'label'         => __( 'Add contactForm 7 shortcode', 'lz-fitness-premium' ),
		)
	)
);
$wp_customize->add_setting(
	'lz_fitness_appointment_form_shortcode',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( 'Add your form shortcode on customiser', 'lz-fitness-premium' )
	)
);
$wp_customize->add_control(
	'lz_fitness_appointment_form_shortcode',
	array(
		'settings'      => 'lz_fitness_appointment_form_shortcode',
		'section'       => 'lz_fitness_appointment_section',
		'type'          => 'text',
		'label'         => __( 'Shortcode', 'lz-fitness-premium' )
	)
);

$wp_customize->add_setting(
	'lz_fitness_appointment_location',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( 'Nemo enim ipsam quia voem volupta aspaut odautfugit.', 'lz-fitness-premium' ) 
	)
);
$wp_customize->add_control(
	'lz_fitness_appointment_location',
	array(
		'settings'      => 'lz_fitness_appointment_location',
		'section'       => 'lz_fitness_appointment_section',
		'type'          => 'textarea',
		'label'         => __( 'Location', 'lz-fitness-premium' )
	)
);

$wp_customize->add_setting(
	'lz_fitness_appointment_phhone',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( '012 3456 7890', 'lz-fitness-premium' ) 
	)
);
$wp_customize->add_control(
	'lz_fitness_appointment_phhone',
	array(
		'settings'      => 'lz_fitness_appointment_phhone',
		'section'       => 'lz_fitness_appointment_section',
		'type'          => 'text',
		'label'         => __( 'Phone No.', 'lz-fitness-premium' )
	)
);
$wp_customize->add_setting(
	'lz_fitness_appointment_phhone1',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( '123 4567 8901', 'lz-fitness-premium' ) 
	)
);
$wp_customize->add_control(
	'lz_fitness_appointment_phhone1',
	array(
		'settings'      => 'lz_fitness_appointment_phhone1',
		'section'       => 'lz_fitness_appointment_section',
		'type'          => 'text',
		'label'         => __( 'Another Phone No.', 'lz-fitness-premium' )
	)
);

$wp_customize->add_setting(
	'lz_fitness_appointment_emailid',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( 'info@dancestudio.com', 'lz-fitness-premium' ) 
	)
);
$wp_customize->add_control(
	'lz_fitness_appointment_emailid',
	array(
		'settings'      => 'lz_fitness_appointment_emailid',
		'section'       => 'lz_fitness_appointment_section',
		'type'          => 'text',
		'label'         => __( 'email id', 'lz-fitness-premium' )
	)
);
$wp_customize->add_setting(
	'lz_fitness_appointment_emailid1',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( 'support@dancestudio.com', 'lz-fitness-premium' ) 
	)
);
$wp_customize->add_control(
	'lz_fitness_appointment_emailid1',
	array(
		'settings'      => 'lz_fitness_appointment_emailid1',
		'section'       => 'lz_fitness_appointment_section',
		'type'          => 'text',
		'label'         => __( 'another email id', 'lz-fitness-premium' )
	)
);
// FACEBOOK 
$wp_customize->add_setting('lz_fitness_appointment_facebook',	array('default'=> 'https://facebook.com', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('lz_fitness_appointment_facebook',
	array(
		'settings'      => 'lz_fitness_appointment_facebook',
		'section'       => 'lz_fitness_appointment_section',
		'type'          => 'url',
		'label'         => __( 'Facebook Url', 'lz-fitness-premium' )
	)
);
// TWITTER
$wp_customize->add_setting('lz_fitness_appointment_twitter', array('default'=> 'https://twitter.com', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('lz_fitness_appointment_twitter',
	array(
		'settings'      => 'lz_fitness_appointment_twitter',
		'section'       => 'lz_fitness_appointment_section',
		'type'          => 'url',
		'label'         => __( 'Twitter Url', 'lz-fitness-premium' )
	)
);
// GOOGLE PLUS
$wp_customize->add_setting('lz_fitness_appointment_youtube', array('default' => 'https://youtube.com', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('lz_fitness_appointment_youtube',
	array(
		'settings'      => 'lz_fitness_appointment_youtube',
		'section'       => 'lz_fitness_appointment_section',
		'type'          => 'url',
		'label'         => __( 'youtube Url', 'lz-fitness-premium' )
	)
);
// Pinterest
$wp_customize->add_setting('lz_fitness_appointment_pinterest', array('default' => 'https://pinterest.com', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('lz_fitness_appointment_pinterest',
	array(
		'settings'      => 'lz_fitness_appointment_pinterest',
		'section'       => 'lz_fitness_appointment_section',
		'type'          => 'url',
		'label'         => __( 'Pinterest Url', 'lz-fitness-premium' )
	)
);
// LINKED IN
$wp_customize->add_setting('lz_fitness_appointment_linkedin',array('default'=> 'https://linkedin.com','sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('lz_fitness_appointment_linkedin',
	array(
		'settings'      => 'lz_fitness_appointment_linkedin',
		'section'       => 'lz_fitness_appointment_section',
		'type'          => 'url',
		'label'         => __( 'Linkedin Url', 'lz-fitness-premium' )
	)
);
// Instagram
$wp_customize->add_setting('lz_fitness_appointment_instagram',array('default'=> 'https://instagram.com','sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('lz_fitness_appointment_instagram',
	array(
		'settings'      => 'lz_fitness_appointment_instagram',
		'section'       => 'lz_fitness_appointment_section',
		'type'          => 'url',
		'label'         => __( 'Instagram Url', 'lz-fitness-premium' )
	)
);







// Heading color
addColorPalatOption($wp_customize, 'lz_fitness_appointment_HeadingColor', 'lz_fitness_appointment_section', 'Heading color', '#ffffff');
// Text color
addColorPalatOption($wp_customize, 'lz_fitness_appointment_TextColor', 'lz_fitness_appointment_section', 'Sub Text color', '#ffffff');
// SubText color
addColorPalatOption($wp_customize, 'lz_fitness_appointment_SubTextColor', 'lz_fitness_appointment_section', 'Info Text color', '#ffffff');

// Icon color
addColorPalatOption($wp_customize, 'lz_fitness_appointment_IconColor', 'lz_fitness_appointment_section', 'Info Icon color', '#ffffff');

// Icon color
addColorPalatOption($wp_customize, 'lz_fitness_appointment_SocialIconColor', 'lz_fitness_appointment_section', 'Info Social Icon color', '#eca1c3');
// Icon color
addColorPalatOption($wp_customize, 'lz_fitness_appointment_SocialBorderColor', 'lz_fitness_appointment_section', 'Social Icon Border color', '#eca1c3');
// Icon color
addColorPalatOption($wp_customize, 'lz_fitness_appointment_sButtonTextColor', 'lz_fitness_appointment_section', 'Button Border color', '#ffffff');

// Icon color
addColorPalatOption($wp_customize, 'lz_fitness_appointment_sButtonBorderColor', 'lz_fitness_appointment_section', 'Button Text color', '#ffffff');
// Icon color
addColorPalatOption($wp_customize, 'lz_fitness_appointment_FormtextColor', 'lz_fitness_appointment_section', 'Form Label Text color', '#ffffff');



addColorPalatOption($wp_customize, 'lz_fitness_appointment_inpbgColor', 'lz_fitness_appointment_section', 'Form Input Bg color', '#ffffff');

addColorPalatOption($wp_customize, 'lz_fitness_appointment_inpborColor', 'lz_fitness_appointment_section', 'Form Input Border color', '#ffffff');


addColorPalatOption($wp_customize, 'lz_fitness_appointment_placeholdertxtclr', 'lz_fitness_appointment_section', 'Form Placeholder Text color', '#666666');


// Adding the Label
//lzCustomLable($wp_customize, 'lz_fitness_appointment_lblImgTxt', 'lz_fitness_appointment_section', 'Address Details');
//add custome redio button
// lzAddCustomRadio($wp_customize, 'lz_fitness_appointment_radioImgTxt', 'lz_fitness_appointment_section', 'Use text');
//add textarea
//lzAddElement($wp_customize, 'lz_fitness_appointment_phone', 'lz_fitness_appointment_section', 'text', $label="Phone", 'lz_fitness_sanitize_text', '+01 8563 256 523');

//lzAddElement($wp_customize, 'lz_fitness_appointment_fax', 'lz_fitness_appointment_section', 'text', $label="Fax ", 'lz_fitness_sanitize_text', '+01 8563 256 520');

//lzAddElement($wp_customize, 'lz_fitness_appointment_email', 'lz_fitness_appointment_section', 'text', $label="Email", 'lz_fitness_sanitize_text', 'email@example.com');

//lzAddElement($wp_customize, 'lz_fitness_appointment_address', 'lz_fitness_appointment_section', 'textarea', $label="Address", 'lz_fitness_sanitize_text', '984 st South capital avenue california CA 42565');

//add map embade
// $wp_customize->add_setting('lz_fitness_contactus_embade_map', array('default'=>'Add your map embade code'));
// $wp_customize->add_control('lz_fitness_contactus_embade_map', array('settings'=>'lz_fitness_contactus_embade_map', 'section'=>'lz_fitness_appointment_section','type'=>'textarea', 'label'=> __('Code for map', 'lz-fitness-premium')));


// option to select image
// lzAddImageElement($wp_customize, 'lz_fitness_appointment_ImgTxt', 'lz_fitness_appointment_section', $label="Recommended Image Size: 400X300px");
// END APPOINTMENT SECTION 